#
# spec file for package kibble (Version 0.7.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel glibc-i18ndata gtk gtk-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel glibc-i18ndata gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kibble
Copyright:    GPL
Group:        X11/Applications
Provides:     kibble 
Autoreqprov:  on
Summary:      A knowledge base program
Version:      0.7.3
Release:      246
Source:     ftp://metalab.unc.edu/pub/Linux/X11/gtkbuffet/apps/kibble/packages/kibble-%{version}.tar.gz
Patch:      kibble-%{version}.dif
URL:        http://metalab.unc.edu/pub/Linux/X11/gtkbuffet/apps/kibble/
BuildRoot:  /var/tmp/kibble-root

%description
This is Kibble, a knowledge base program.  It is used to organize seemingly
discursive thoughts into a cohesive engine.  Basically, it is used to keep
track of random ideas that may prove useful.

Authors:
--------
    Joseph P. Turian <kibble@wish.student.harvard.edu>

SuSE series: xap

%prep
%setup
%patch

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr/X11R6 
make

%install
%define INSTALL_DIR install -d -m755
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make install prefix=$RPM_BUILD_ROOT/usr/X11R6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ABOUT-NLS AUTHORS BUGS COPYING ChangeLog
%doc INSTALL NEWS README THANKS TODO kibble.lsm
/usr/X11R6/bin/kibble
/usr/X11R6/share/locale/*/LC_MESSAGES/kibble.mo

%changelog -n kibble
* Tue Mar 13 2001 - ro@suse.de
- fix compilation by not overwriting CFLAGS from configure
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Jun 08 2000 - cihlar@suse.cz
- Added %%clean
* Wed Feb 16 2000 - grimmer@suse.de
- Update to 0.7.3
- spec file cleanups
- version macro
- new (temporary) URL, old home page seems to be abandoned
- changed package description
- added german descriptions
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Fri Dec 04 1998 - ke@suse.de
- initial package: version 0.7.0.
